<div
  class="app-card-container"
  [ngClass]="{'app-card-disabled': app.addedByUser}"
  [appCopyToClipboard]="app"
  matTooltip="App was already added"
  [matTooltipDisabled]="!app.addedByUser"
  (mouseenter)="hoverOverApp.emit(app.id)"
  (mouseleave)="hoverOverApp.emit(undefined)">
  <app-tab-group>
    <app-tab-item class="tab-grow" labelName="App" [id]="app.id" checked="true">
      <app-new-app-content
        data-cy="new-app-content"
        [app]="app"
        (click)="onAppCardClicked()">
      </app-new-app-content>
    </app-tab-item>
    <app-tab-item class="tab-grow" labelName="Details" [id]="app.id">
      <app-new-app-details
        [app]="app"
        (click)="onAppCardClicked()">
      </app-new-app-details>
    </app-tab-item>
  </app-tab-group>
</div>
